import { SpreadMode } from '../../enums';
import { Manager } from './';
export declare function isValidSpreadMode(mode: number): boolean;
export declare class SpreadManager extends Manager {
    private _spreadMode;
    reset(): void;
    get spreadMode(): SpreadMode;
    set spreadMode(mode: SpreadMode);
    updateSpreadMode(pageNumber?: number): void;
}
